5.10 NTN Box

NTN Box is necessary in the project if we want to calculate the near to near postprocessing of radiating structures.

The NTN button  in the Model tab and Model->NTN... command from main menu invoke Create NTN Box dialogue.


The NTN box name can be set in the Name field.

In the Geometry tab the user needs to define the dimensions of the NTN box. It can be done in two ways. First one is using Bounding Box Offset option, where the NTN box is drawn at the defined offset from the bounding box of the project structure. The offset is defined in project units for each direction and applies to each side from the structure.

Second solution is using Position option, where the user can choose Coordinates or Dimensions. While using Coordinates option the MinMax coordinates of the NTN box in each direction should be defined. For the Dimensions option, length, width, and height of the NTN box should be given together with the Min coordinates at which the box geometry starts.


In the Postprocessing frame one button, NTN Parameters is available. Pressing this button allows passing to the Near To Near post-processing dialogue and configuring this post-processings.

In QuickWave the medium outside NTN box may be any isotropic dielectric. However, NTN box will not automatically recognise the medium parameters. They must be explicitly given in the Background medium frame.

 

It is advised to refer to Radiation and Scattering for more information.



Python code

The python code, which can be useful when creating project scripts, generated by Create NTN Box dialogue for default parameters:


from FreeCAD import Base

QW_Modeller.addQWObject("QW_Modeller::NTNBox","NTNBox")

App.ActiveDocument.NTNBox.OffsetX = 10.00000

App.ActiveDocument.NTNBox.OffsetY = 10.00000

App.ActiveDocument.NTNBox.OffsetZ = 10.00000

App.ActiveDocument.NTNBox.Length = 30.00000

App.ActiveDocument.NTNBox.Width = 30.00000

App.ActiveDocument.NTNBox.Height = 30.00000

App.ActiveDocument.NTNBox.Placement = Base.Placement(Base.Vector(5.00000,5.00000,5.00000),Base.Rotation(0.00000,0.00000,0.00000,1.00000))

Gui.ActiveDocument.NTNBox.ShowText = True

Gui.ActiveDocument.NTNBox.TextSize = 20

App.ActiveDocument.recompute()

Gui.SendMsgToActiveView("ViewFit")